﻿var vidList:Array = new Array();
var vidCount:Number;
var counter:Number = 0;
var dur:Number;
var newPlayList:Boolean = true;
var currentTime:Number = 0;

// create XML object
var playList:XML = new XML();
playlist.ignoreWhite = true;

// load XML
playList.onLoad = function(){
	for(var i = 0; i < this.firstChild.childNodes.length; ++i){
			vidList[i] = new Object();
			if (this.firstChild.childNodes[i].attributes.url == undefined){
				this.firstChild.childNodes[i].removeNode();
			}
			vidList[i].url = this.firstChild.childNodes[i].attributes.url;
			// xmloutput.text += vidList[i].url+newline;
	}
	if (playList.status == 0){
		vidCount = vidList.length;
	}
};

// initial load
// whichXML is set on main timeline
var clientTime = getTime();
trace (clientTime);
playList.load("videos.php?time="+clientTime+"&xmlStr="+whichXML);

// Create a NetConnection object & netStream object:
var netConn:NetConnection = new NetConnection();
netConn.connect(null);
var netStream:NetStream = new NetStream(netConn);
// Attach the NetStream video feed to the Video object:
my_video.attachVideo(netStream);

// get current status
netStream.onStatus = function(infoObj){
	tempStatus = infoObj.code;
}

// get current video duration
netStream.onMetaData = function(obj) {
	dur = obj.duration-1;
	currentTime = netStream.time;
};

_root.onEnterFrame = function() {
	if (currentTime != -1) {
		currentTime = netStream.time;
	}
	if (newPlayList != true) {
		if (durExists() && currentTime >= dur) {
			// kill current vid; load new vid
			counter = counter+1;
			if (counter < vidCount) {
				netStream.close();
				netStream.setBufferTime(3);
				netStream.play(vidList[counter].url);
				currentTime = -1;
			} else {
				// load new XML
				vidList[0].url = undefined;
				clientTime = getTime();
				playList.load("videos.php?time="+clientTime+"&xmlStr="+whichXML);
				counter = 0;
				newPlayList = true;
			}
		}
	} else if (vidList[0].url != undefined) {
		// start initial vid from new XML
		netStream.setBufferTime(3);
		netStream.play(vidList[0].url);
		newPlayList = false;
		currentTime = -1;
	}
};

/////// functions
function getTime(){
	var time:Date = new Date();
	var nowTime:Number = (time.getHours()*3600)+(time.getMinutes()*60)+(time.getSeconds())-0;
	//timeOutput.text = nowTime;
	return nowTime;
}

function durExists(){
	if (dur == undefined){
		return false;
	} else {
		return true;
	}
}